Neidio i'r cynnwys

Cohere Transcribe

Integreiddio

ID y model cohere-transcribe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ffeiliau fel yr enghraifft: $0.001 1 credyd API · ≈ ₽0.11 caiff eich ffeiliau eu mesur cyn y rhediad Ei redeg ar y dudalen hon

Cael allwedd API
Cohere Lleferydd i Destun #speech#transcribe#stt

Model lleferydd-i-destun gyda 14 iaith ddewisol a thogl atalnodi dewisol

Cohere · Testun

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol audio_url
Gollyngwch ffeil, neu

URL ffeil sain ar gyfer trawsgrifio. Mae'r fformatau a dderbynnir yn cynnwys flac, ogg, webm, wav, m4a, mpga, mpeg, mp4, a mp3.

Uwch language · max_new_tokens · punctuation
rhagosodedig en

Nodwch iaith y sain gan ddefnyddio un o'r codau ISO 639-1 hyn: en, fr, de, it, es, pt, el, nl, pl, zh, ja, ko, vi, ar.

rhagosodedig 256

Terfyn cynhyrchu tocynnau ar gyfer pob darn sain.

POST /run/cohere-transcribe?wait=20 dyfynbris → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cohere-transcribe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Cohere Transcribe

Trawsgrifio ffeil sain o `audio_url` (mp3, mp4, mpeg, mpga, m4a, wav, webm, ogg neu flac) i destun. Mae `language` yn derbyn en, fr, de, it, es, pt, el, nl, pl, zh, ja, ko, vi neu ar, gyda en yn rhagosodedig. Gellir diffodd `punctuation`, ac mae `max_new_tokens` (1 i 1014) yn cyfyngu’r allbwn fesul darn sain.

Paramedrau

Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd

EnwMath RhagosodedigCaniateir Disgrifiad
audio_urlgofynnol audio
Mathurl · audio
URL ffeil sain ar gyfer trawsgrifio. Mae'r fformatau a dderbynnir yn cynnwys flac, ogg, webm, wav, m4a, mpga, mpeg, mp4, a mp3.
languagedewisol
Mathenum
Rhagosodedigen
enfrdeitesptelnlplzhjakoviar
Nodwch iaith y sain gan ddefnyddio un o'r codau ISO 639-1 hyn: en, fr, de, it, es, pt, el, nl, pl, zh, ja, ko, vi, ar.
punctuationdewisol
Mathboolean
Rhagosodedigtrue
Yn rheoli a yw'r testun allbwn yn cynnwys priflythrennau ac atalnodi.
max_new_tokensdewisol
Mathinteger
Rhagosodedig256
1 – 1,014
Terfyn cynhyrchu tocynnau ar gyfer pob darn sain.
gofynnol Enw canonaidd, derbyniol hefyd

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cohere-transcribe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "text": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
text
stringTestun a gafwyd drwy drawsgrifio'r ffeil sain.
timings
objectDadansoddiad o amseriadau perfformiad, wedi'u mesur mewn eiliadau.

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/cohere-transcribe.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt